GNU bug report logs - #39120
[00/12] Update Ruby to 2.6.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: pending; dated Mon, 13 Jan 2020 20:31:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) pending. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 14 Jan 2020 23:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 18:53:58 2020
Received: from localhost ([127.0.0.1]:33927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irW0U-0006IG-5u
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 18:53:58 -0500
Received: from mira.cbaines.net ([212.71.252.8]:36676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irW0S-0006I7-3R
 for 39120 <at> debbugs.gnu.org; Tue, 14 Jan 2020 18:53:56 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 19EC217AA9;
 Tue, 14 Jan 2020 23:53:55 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 855bc534;
 Tue, 14 Jan 2020 23:53:52 +0000 (UTC)
References: <87h80zcd53.fsf@HIDDEN> <87y2ubufmb.fsf@HIDDEN>
 <87eew2cx4s.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#39120] [00/12] Update Ruby to 2.6.
In-reply-to: <87eew2cx4s.fsf@HIDDEN>
Date: Tue, 14 Jan 2020 23:53:50 +0000
Message-ID: <87blr5d27l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
Cc: 39120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Christopher Baines <mail@HIDDEN> writes:

> Marius Bakke <mbakke@HIDDEN> writes:
>
>> Christopher Baines <mail@HIDDEN> writes:
>>
>>> So, these patches are a bit late, 2.7 is already out, but it's a bit to
>>> early to update to 2.7, so let's just do 2.6, then add a package for
>>> 2.7.
>>>
>>>
>>> Christopher Baines (12):
>>>   gnu: ruby-listen: Update to 3.2.0.
>>>   gnu: ruby-aruba: Update to 0.14.14.
>>>   gnu: ruby-childprocess-0.6: Remove version 0.6.3.
>>>   gnu: ruby-childprocess: Update to 3.0.0.
>>>   gnu: ruby-yard: Update to 0.9.20.
>>>   gnu: ruby-hoe: Update to 3.21.0.
>>>   gnu: ruby-power-assert: Update to 1.1.5.
>>>   gnu: ruby-json-pure: Update to 2.2.0.
>>>   gnu: ruby-tzinfo: Skip safe tests.
>>>   gnu: ruby-2.4: Update to 2.4.9.
>>>   gnu: ruby: Update to 2.6.5.
>>>   gnu: Add ruby-2.5.
>>
>> Thanks!  This is for 'core-updates', right?  LGTM.
>
> Yeah, I was waiting until I got the Guix Data Service to compare the
> differences (it's still a bit broken, but I'm trying to get my patch
> testing setup working again [1]).
>
> 1: https://laminar.cbaines.net/jobs/patchwork-test-series/190
>
> At least with [2], the number is 3861 rebuilds, which means core-updates
> I think.
>
> 2: ./pre-inst-env guix refresh -l ruby@HIDDEN ruby@HIDDEN ruby@HIDDEN ruby-tzinfo
> ruby-json-pure ruby-power-assert ruby-hoe ruby-yard ruby-childprocess
> ruby-aruba ruby-listen

I've gone ahead and pushed to core-updates as
227fab3ed8842b22337196ee21c79143fc093855.

Thanks for taking a look :)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl4eVI5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XdTHg//T5TwEC4eWsY6CqRB1qgxYKjup676u2MAmcVTrnyNZlbUpqIZ/3UxJ6Lo
UPmdw00qPZyq6lyO59nNYizr/zdMuNyk8FyuMCGi0r1gl8tDz0kGDh0sRDApELHk
PJSknwMPb7EAnwVFgg2tmtChVUpBzPOVcQPXYZbewkYuuHg8Trrl9fkCt0wjX/Sv
uEtwjpS6GrAS/zAzEKnidOTzyih+VGwSd5mlWGW3mZ24iyJXKUvAPuMAO8m2p6CV
swrgmgtG5kPx2ssYcmJzBukPerY7cT0/MP5focRImIUCx/75Q3vfbv5J6SnAClWs
UjLMXlGxqdsgnNLj02EJdU+qwhRP2HnGrkDeV1kSJOrMZRnJP/E0LSDDWTGPtoJh
LIG0Enk/1evp7v4xUgCJqGZzbUXXixOqDfOX3iSJVbRL6BodzGwkeDkRGPYNhjj4
3z0qoICs78JJCVQJThhPU+2FK4mR2JSpzm9H3bEiCLel+eZJnMrlNxuG7uyI/0Z/
9wXH0S0Naq9v/HIvKkME1k9SjThe+l8WstbBabVSerSQc+UpM8ZfLxWOclzJ1iXu
CcN9QkIyH6/oTU2btsqwvx4HDdNo040vbWBIRcAf/QFqW3aJ8RzIMQsN5mUjNkm+
X2gbDEbOMlQBEpbj7aNr7tw4kxhkdccZek1zc/qDLW/tEi2VXk0=
=808E
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 14 Jan 2020 07:31:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 14 02:31:23 2020
Received: from localhost ([127.0.0.1]:60620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1irGfb-0005Pj-Gz
	for submit <at> debbugs.gnu.org; Tue, 14 Jan 2020 02:31:23 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1irGfZ-0005Pb-EY
 for 39120 <at> debbugs.gnu.org; Tue, 14 Jan 2020 02:31:22 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 3CB8C179EC;
 Tue, 14 Jan 2020 07:31:20 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 389c0046;
 Tue, 14 Jan 2020 07:31:17 +0000 (UTC)
References: <87h80zcd53.fsf@HIDDEN> <87y2ubufmb.fsf@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#39120] [00/12] Update Ruby to 2.6.
In-reply-to: <87y2ubufmb.fsf@HIDDEN>
Date: Tue, 14 Jan 2020 07:31:15 +0000
Message-ID: <87eew2cx4s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
Cc: 39120 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> So, these patches are a bit late, 2.7 is already out, but it's a bit to
>> early to update to 2.7, so let's just do 2.6, then add a package for
>> 2.7.
>>
>>
>> Christopher Baines (12):
>>   gnu: ruby-listen: Update to 3.2.0.
>>   gnu: ruby-aruba: Update to 0.14.14.
>>   gnu: ruby-childprocess-0.6: Remove version 0.6.3.
>>   gnu: ruby-childprocess: Update to 3.0.0.
>>   gnu: ruby-yard: Update to 0.9.20.
>>   gnu: ruby-hoe: Update to 3.21.0.
>>   gnu: ruby-power-assert: Update to 1.1.5.
>>   gnu: ruby-json-pure: Update to 2.2.0.
>>   gnu: ruby-tzinfo: Skip safe tests.
>>   gnu: ruby-2.4: Update to 2.4.9.
>>   gnu: ruby: Update to 2.6.5.
>>   gnu: Add ruby-2.5.
>
> Thanks!  This is for 'core-updates', right?  LGTM.

Yeah, I was waiting until I got the Guix Data Service to compare the
differences (it's still a bit broken, but I'm trying to get my patch
testing setup working again [1]).

1: https://laminar.cbaines.net/jobs/patchwork-test-series/190

At least with [2], the number is 3861 rebuilds, which means core-updates
I think.

2: ./pre-inst-env guix refresh -l ruby@HIDDEN ruby@HIDDEN ruby@HIDDEN ruby-tzinfo
ruby-json-pure ruby-power-assert ruby-hoe ruby-yard ruby-childprocess
ruby-aruba ruby-listen

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl4dbkNfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xcu7g//YOD7y323A+zKBgTRNu+0hMADU1ewm+RD6SMzuYicKRkMZOk64+QOxP3z
ytAPrX+fsTx+wCdSmLPeQH4Kkpf/r61j6IpS3PKIVdhMrwDDwdyxE0iaY75eNmpe
hw2nOGBhtLLu0IfdOa0/Fvuyg1TqaazhOXZxl5PwQ04CXw6ODKzgbCNhGAyPhv2J
LJIfTjiE+nSyNxwXqFq20tWC3CyJnY8AHSkTZQSH7EgZsx4eR2jOX9ZHhTms0BXF
np4YlwciA7BJRm+UdeSdx3pklOUm8N2X9mFrJBJ6/ORZA2YVrM5ZtQi7AlUp3shm
b8fozHSI954gFMJywgQI44U+2bZSZxgDi9f/jzx5r42uZMcsgYgy5D+K05/cQ5+N
tgKnHU1u2+rJAMinTJJrH0E0c/K9kJrdJVcdZL5TTgESehd1CpuiOcz6Lz2MIWzl
xjppFvJ8emBn1xOGlIXH01bJ5d3TmO56dBcXgoIk+WP3moZDPsfV90OrADK8z08e
Wy6KUI43pGOckFoTj14iAp4lGUGyMRR08vK/s+xdwyroMiZ42ISEsi2KecZF5A5T
ldR5E6sVbQJZfbM4rwdk+5FZPaZN2Yl0HYRACSAeY3KlhxIy/7Kj67MCPtGb1OsK
V3z+OuvQRFBgOQkdxJRHS8Oiux5fEFuC6Tl9JeW4UvKEm4iyOi0=
=4aSw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 23:00:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 18:00:05 2020
Received: from localhost ([127.0.0.1]:60372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8gn-0004rs-6i
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:00:05 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:35131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1ir8gl-0004qs-Fl
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 18:00:03 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 444F82222E;
 Mon, 13 Jan 2020 17:59:58 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 13 Jan 2020 17:59:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=PLn+8HT4Ux/O3u8w6mcze37V5q
 44v5KdPihKvA+RA40=; b=QNjTBBf2RGCiBLgKngU1Rjh6EPd/pZXtu1Q7Vuj8tN
 YIkaeB8Ow9/aaTeWUtx0CY54dOZ34a1CkQRTQUqFfmcPeWqzmQc7At+GTPptGjyv
 Rl+Zf2loQ+MUbM7/h918zHIwB2OFNH242lTkku1z4dGFr1A67kO90BNMWGNPvCpZ
 Mbqt9Pe8eR3NdsW7T1+/72PmEmGztPRnA0msCi4iiLCPIFUDyxd9qb2T6M07BqdZ
 Em672kwIOIQLTjUEtX45ddj7DtiSE4SOL81OBGIncxe4vcPVutisUQZ7b4RfgbvG
 AUnyFI1oI5hTESNlpblx8eanDpSTRizjsVb8xsFm36UA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=PLn+8H
 T4Ux/O3u8w6mcze37V5q44v5KdPihKvA+RA40=; b=g/LpoQVP1zBfG9apVTrERT
 DZHKM740tPaam8Cqb2mLbN1Yxr89EswVbqt0UdQrR6DXE2hzLQXNmnD/YzZh+ik6
 cErMkQpMt8CD0X8FVkvRe4ZnSRmTb5sX9ghjbOKsrB1xkbNXVemTfd3o9xb+dEz1
 AwqkkK/ibXPlsYKuMGU+9YS2Px8ahCnq6nkPrS+b3rw6EWNwOTZtZOm4jr+XvS6T
 slMs4PDHE8O1zyWDia6AH+F/5ckAuXVp2KRawjH31ZDNDBsXE+G1rx58i+RONuCQ
 Mzbc3xZywEO2/5SpuffH+28hB6jOylkGYZfJ3K8gSYFXSUMCVdfMi0ww3H62it6g
 ==
X-ME-Sender: <xms:bvYcXrq1pt23TQcSdqooaumZddU3FHdPlOzEN_dBx7TlNJaJsnQLWw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdejuddgtdefucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecukfhppeekgedrvddtvddrieelrddvheefnecurfgrrhgrmh
 epmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhs
 thgvrhfuihiivgeptd
X-ME-Proxy: <xmx:bvYcXtiGYxVCs5xoHn5kSkVefGnFTzeFJRjWLkqdIelB9iFSnHHcog>
 <xmx:bvYcXnnZWdnLLXBoEC5PZgIzF4iVnp0zVJyQwsgmiV75wCkNL2E1zw>
 <xmx:bvYcXmrWgcKFCzMuPfeaVpjj9uzx1gAaO555vsnECy_UJ2owMBUtFw>
 <xmx:bvYcXgRA_tWlOw9Cnfu_O4usxYxadUxYhqW5Ws7euTR3bs3l9vpsjw>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id BF0A530602DB;
 Mon, 13 Jan 2020 17:59:57 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 39120 <at> debbugs.gnu.org
Subject: Re: [bug#39120] [00/12] Update Ruby to 2.6.
In-Reply-To: <87h80zcd53.fsf@HIDDEN>
References: <87h80zcd53.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Mon, 13 Jan 2020 23:59:56 +0100
Message-ID: <87y2ubufmb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Christopher Baines <mail@HIDDEN> writes:

> So, these patches are a bit late, 2.7 is already out, but it's a bit to
> early to update to 2.7, so let's just do 2.6, then add a package for
> 2.7.
>
>
> Christopher Baines (12):
>   gnu: ruby-listen: Update to 3.2.0.
>   gnu: ruby-aruba: Update to 0.14.14.
>   gnu: ruby-childprocess-0.6: Remove version 0.6.3.
>   gnu: ruby-childprocess: Update to 3.0.0.
>   gnu: ruby-yard: Update to 0.9.20.
>   gnu: ruby-hoe: Update to 3.21.0.
>   gnu: ruby-power-assert: Update to 1.1.5.
>   gnu: ruby-json-pure: Update to 2.2.0.
>   gnu: ruby-tzinfo: Skip safe tests.
>   gnu: ruby-2.4: Update to 2.4.9.
>   gnu: ruby: Update to 2.6.5.
>   gnu: Add ruby-2.5.

Thanks!  This is for 'core-updates', right?  LGTM.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4c9mwACgkQoqBt8qM6
VPrgggf/XT1R719dKycLBNUDJC/rwYywA0J5Nv1LcNtcIZE2WgaQ/7pvoM+y7WUw
bQqCO28VwSda2EBCvwPhoBOX0kbPhx15uVpuA2eQHR+OaoC9u19SCerksuBQM608
zwum6ogGwVrZdmGXr40NzeOTeBE9uDeJKAjuxjqkLYaC1NsjVjUGLD9yy879ZqoT
BAWA2IKVS/2CvsSmIPf608Ndjr2UCq2E3SwyC6owwYqqIAYBVzgUs9ndyIaV+xNN
rv3rB8pDhxhqh8tqLFMhaYYO72n6CHpITLHWmIh3Ht39o07cBuqJHp0WuFM4x+Ap
hm1P3PDXOOxgunVk4HCyS0c7S4E0Mw==
=6HXR
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:49 2020
Received: from localhost ([127.0.0.1]:60349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8aj-0004gb-4m
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:49 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eZ-TL
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:45 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 7902F17AA1
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id fd2e7799
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 12/12] gnu: Add ruby-2.5.
Date: Mon, 13 Jan 2020 22:53:36 +0000
Message-Id: <20200113225336.15160-12-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-2.5): New variable.
---
 gnu/packages/ruby.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index a4def037f2..68634d8100 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -129,6 +129,25 @@ a focus on simplicity and productivity.")
     (home-page "https://www.ruby-lang.org")
     (license license:ruby)))
 
+(define-public ruby-2.5
+  (package
+    (inherit ruby)
+    (version "2.5.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "http://cache.ruby-lang.org/pub/ruby/"
+                           (version-major+minor version)
+                           "/ruby-" version ".tar.xz"))
+       (sha256
+        (base32
+         "159zka4sbx1p4ayxqi7a5ybbzxvn3n5mivrz4d1damw9ypl70610"))
+       (modules '((guix build utils)))
+       (snippet `(begin
+                   ;; Remove bundled libffi
+                   (delete-file-recursively "ext/fiddle/libffi-3.2.1")
+                   #t))))))
+
 (define-public ruby-2.4
   (package
     (inherit ruby)
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:49 2020
Received: from localhost ([127.0.0.1]:60347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ai-0004gT-RT
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:49 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35338)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eY-Sx
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 6A51217A9F
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 315bbf8e
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 11/12] gnu: ruby: Update to 2.6.5.
Date: Mon, 13 Jan 2020 22:53:35 +0000
Message-Id: <20200113225336.15160-11-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Make zlib a propagated-input, as the pkgconfig configuration includes linking
against zlib as default, which means that gems with native components will
fail to build without zlib.

* gnu/packages/ruby.scm (ruby): Update to 2.6.5.
---
 gnu/packages/ruby.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 2a7bec40bc..a4def037f2 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -77,7 +77,7 @@
 (define-public ruby
   (package
     (name "ruby")
-    (version "2.5.3")
+    (version "2.6.5")
     (source
      (origin
        (method url-fetch)
@@ -86,7 +86,7 @@
                            "/ruby-" version ".tar.xz"))
        (sha256
         (base32
-         "0vrhrw7kcz9mg0jkqnihkcxqy5k05v8k1j0y2735z8wfk8sx1j8w"))
+         "0qhsw2mr04f3lqinkh557msr35pb5rdaqy4vdxcj91flgxqxmmnm"))
        (modules '((guix build utils)))
        (snippet `(begin
                    ;; Remove bundled libffi
@@ -116,8 +116,9 @@
      `(("readline" ,readline)
        ("openssl" ,openssl)
        ("libffi" ,libffi)
-       ("gdbm" ,gdbm)
-       ("zlib" ,zlib)))
+       ("gdbm" ,gdbm)))
+    (propagated-inputs
+     `(("zlib" ,zlib)))
     (native-search-paths
      (list (search-path-specification
             (variable "GEM_PATH")
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:48 2020
Received: from localhost ([127.0.0.1]:60345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ai-0004gM-HQ
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:48 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eX-Sh
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 5A55D17A9E
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id fe66d38b
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 10/12] gnu: ruby-2.4: Update to 2.4.9.
Date: Mon, 13 Jan 2020 22:53:34 +0000
Message-Id: <20200113225336.15160-10-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-2.4): Update to 2.4.9.
---
 gnu/packages/ruby.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 088b975a22..2a7bec40bc 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -131,7 +131,7 @@ a focus on simplicity and productivity.")
 (define-public ruby-2.4
   (package
     (inherit ruby)
-    (version "2.4.3")
+    (version "2.4.9")
     (source
      (origin
        (method url-fetch)
@@ -140,8 +140,7 @@ a focus on simplicity and productivity.")
                            "/ruby-" version ".tar.xz"))
        (sha256
         (base32
-         "0l9bv67dgsphk42lmiskhrnh47hbyj6rfg2rcjx22xivpx07srr3"))
-       (patches (search-patches "ruby-rubygems-276-for-ruby24.patch"))
+         "0546ymj2h3iai679fvx17bb2hksrqyhh22llxgz8fwggac100khc"))
        (modules '((guix build utils)))
        (snippet `(begin
                    ;; Remove bundled libffi
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:48 2020
Received: from localhost ([127.0.0.1]:60343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ai-0004gE-6x
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:48 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eD-D1
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 186D217A97
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id f9b77b43
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 06/12] gnu: ruby-hoe: Update to 3.21.0.
Date: Mon, 13 Jan 2020 22:53:30 +0000
Message-Id: <20200113225336.15160-6-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-hoe): Update to 3.21.0.
[arguments]: Avoid having SOURCE_DATE_EPOCH set while the tests are running.
---
 gnu/packages/ruby.scm | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 140cdb9aab..e8861d4a19 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -297,14 +297,32 @@ a menu system for providing multiple options to the user.")
 (define-public ruby-hoe
   (package
     (name "ruby-hoe")
-    (version "3.16.2")
+    (version "3.21.0")
     (source (origin
               (method url-fetch)
               (uri (rubygems-uri "hoe" version))
               (sha256
                (base32
-                "12q6dn2irsfamdbjpqvs0dwl4i1vl7wflxrcg972h9jw0ds38f3a"))))
+                "0qid0n56mgsjvq5ksxajv0gb92akky8imwgvw22ajms5g4fd6nf4"))))
     (build-system ruby-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         ;; One of the tests fails if the SOURCE_DATE_EPOCH environment
+         ;; variable is set, so unset it for the duration of the tests.
+         ;;
+         ;; TestHoe#test_possibly_better
+         ;; [/tmp/guix-build-ruby-hoe-3.20.0.drv-0/gem/test/test_hoe.rb:250]:
+         ;; Expected: 2019-11-12 00:00:00 UTC
+         ;; Actual: 1970-01-01 00:00:00 UTC
+         (add-before 'check 'unset-SOURCE-DATE-EPOCH
+           (lambda _
+             (unsetenv "SOURCE_DATE_EPOCH")
+             #t))
+         (add-after 'check 'set-SOURCE-DATE-EPOCH-again
+           (lambda _
+             (setenv "SOURCE_DATE_EPOCH" "1")
+             #t)))))
     (synopsis "Ruby project management helper")
     (description
      "Hoe is a rake/rubygems helper for project Rakefiles.  It helps manage,
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:48 2020
Received: from localhost ([127.0.0.1]:60341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ah-0004g6-UF
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:48 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eC-Cr
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 2843A17A98
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id dc67a570
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 07/12] gnu: ruby-power-assert: Update to 1.1.5.
Date: Mon, 13 Jan 2020 22:53:31 +0000
Message-Id: <20200113225336.15160-7-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-power-assert): Update to 1.1.5.
[arguments]: Disable running the tests.
---
 gnu/packages/ruby.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index e8861d4a19..2cd9f36aa8 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -2256,14 +2256,16 @@ using Net::HTTP, supporting reconnection and retry according to RFC 2616.")
 (define-public ruby-power-assert
   (package
     (name "ruby-power-assert")
-    (version "0.2.7")
+    (version "1.1.5")
     (source (origin
               (method url-fetch)
               (uri (rubygems-uri "power_assert" version))
               (sha256
                (base32
-                "0ka6w71lcan4wgf111xi3pcn9ma9lhakv31jg8w007nwzi0xfjbi"))))
+                "1dii0wkfa0jm8sk9b20zl1z4980dmrjh0zqnii058485pp3ws10s"))))
     (build-system ruby-build-system)
+    (arguments
+     '(#:tests? #f))                    ; No included tests
     (native-inputs
      `(("bundler" ,bundler)))
     (synopsis "Assert library with descriptive assertion messages")
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:47 2020
Received: from localhost ([127.0.0.1]:60339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ah-0004fy-Kx
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:47 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eK-HG
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 4A8A317A9C
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 5bbc280b
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 09/12] gnu: ruby-tzinfo: Skip safe tests.
Date: Mon, 13 Jan 2020 22:53:33 +0000
Message-Id: <20200113225336.15160-9-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The safe tests attempt to run with Ruby 2.6, but these tests fail if the build
takes place within /tmp, as the Ruby LOAD_PATH then includes /tmp, which is
world writable.

* gnu/packages/ruby.scm (ruby-tzinfo)[arguments]: Add skip-safe-tests phase.
---
 gnu/packages/ruby.scm | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index b39769acaa..088b975a22 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -4072,6 +4072,16 @@ utilities for Ruby.")
         (base32
          "09dpbrih054mn42flbbcdpzk2727mzfvjrgqb12zdafhx7p9rrzp"))))
     (build-system ruby-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'skip-safe-tests
+           (lambda _
+             (substitute* "test/test_utils.rb"
+               (("def safe_test\\(options = \\{\\}\\)")
+                 "def safe_test(options = {})
+      skip('The Guix build environment has an unsafe load path')"))
+             #t)))))
     (propagated-inputs
      `(("ruby-thread-safe" ,ruby-thread-safe)))
     (synopsis "Time zone library for Ruby")
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:47 2020
Received: from localhost ([127.0.0.1]:60337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ah-0004fr-C4
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:47 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aa-0004eL-H5
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:41 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 3970617A99
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id fa10abcc
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 08/12] gnu: ruby-json-pure: Update to 2.2.0.
Date: Mon, 13 Jan 2020 22:53:32 +0000
Message-Id: <20200113225336.15160-8-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-json-pure): Update to 2.2.0.
[home-page]: Add trailing /, due to a redirect.
---
 gnu/packages/ruby.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 2cd9f36aa8..b39769acaa 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -4462,13 +4462,13 @@ a native C extension.")
 (define-public ruby-json-pure
   (package
     (name "ruby-json-pure")
-    (version "2.1.0")
+    (version "2.2.0")
     (source (origin
               (method url-fetch)
               (uri (rubygems-uri "json_pure" version))
               (sha256
                (base32
-                "12yf9fmhr4c2jm3xl20vf1qyz5i63vc8a6ngz9j0f86nqwhmi2as"))))
+                "0m0j1mfwv0mvw72kzqisb26xjl236ivqypw1741dkis7s63b8439"))))
     (build-system ruby-build-system)
     (arguments
      `(#:phases
@@ -4502,7 +4502,7 @@ a native C extension.")
     (synopsis "JSON implementation in pure Ruby")
     (description
      "This package provides a JSON implementation written in pure Ruby.")
-    (home-page "https://flori.github.com/json")
+    (home-page "https://flori.github.com/json/")
     (license license:ruby)))
 
 (define-public ruby-jwt
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:47 2020
Received: from localhost ([127.0.0.1]:60335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ah-0004fp-3v
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:47 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aZ-0004e2-KG
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:40 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 0635917A96
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:39 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id e71fc5b5
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 05/12] gnu: ruby-yard: Update to 0.9.20.
Date: Mon, 13 Jan 2020 22:53:29 +0000
Message-Id: <20200113225336.15160-5-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-yard): Update to 0.9.20.
[arguments]: Delete the Gemfile before running the tests.
[native-inputs]: Add ruby-redcloth and ruby-asciidoctor.
---
 gnu/packages/ruby.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index d7c9383b45..140cdb9aab 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -5747,7 +5747,7 @@ A modified copy of yajl is used, and included in the package.")
 (define-public ruby-yard
   (package
     (name "ruby-yard")
-    (version "0.9.16")
+    (version "0.9.20")
     (source
      (origin
        (method git-fetch)
@@ -5758,20 +5758,24 @@ A modified copy of yajl is used, and included in the package.")
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "0a4r1pfs0ms4vlccsf1x2jckx35lqm8b8lh6rdjxqfr5fia5izpf"))))
+         "1v48zz8hzazrg79jksj9siys21d2axvzijvkxw2j42zh86syi1wi"))))
     (build-system ruby-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
          (replace 'check
            (lambda _
+             ;; Delete the Gemfile to avoid errors relating to it
+             (delete-file "Gemfile")
              ;; $HOME needs to be set to somewhere writeable for tests to run
              (setenv "HOME" "/tmp")
              ;; Run tests without using 'rake' to avoid dependencies.
              (invoke "rspec"))))))
     (native-inputs
      `(("ruby-rspec" ,ruby-rspec)
-       ("ruby-rack" ,ruby-rack)))
+       ("ruby-rack" ,ruby-rack)
+       ("ruby-redcloth" ,ruby-redcloth)
+       ("ruby-asciidoc" ,ruby-asciidoctor)))
     (synopsis "Documentation generation tool for Ruby")
     (description
      "YARD is a documentation generation tool for the Ruby programming
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:43 2020
Received: from localhost ([127.0.0.1]:60333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ac-0004fR-Qq
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:43 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aZ-0004e0-Iw
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:40 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id D94B617A94
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:38 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 8b7da6b9
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 03/12] gnu: ruby-childprocess-0.6: Remove version 0.6.3.
Date: Mon, 13 Jan 2020 22:53:27 +0000
Message-Id: <20200113225336.15160-3-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

As it is unused.

* gnu/packages/ruby.scm (ruby-childprocess-0.6): Rename to ruby-childprocess.
[version, source]: Copy from ruby-childprocess.
---
 gnu/packages/ruby.scm | 19 +++----------------
 1 file changed, 3 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index de10a25c5b..f1fa9310eb 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -7424,17 +7424,17 @@ in standard Ruby syntax.")
     (home-page "https://github.com/ruby/rake")
     (license license:expat)))
 
-(define-public ruby-childprocess-0.6
+(define-public ruby-childprocess
   (package
     (name "ruby-childprocess")
-    (version "0.6.3")
+    (version "0.9.0")
     (source
      (origin
        (method url-fetch)
        (uri (rubygems-uri "childprocess" version))
        (sha256
         (base32
-         "1p3f43scdzx9zxmy2kw5zsc3az6v46nq4brwcxmnscjy4w4racbv"))))
+         "0a61922kmvcxyj5l70fycapr87gz1dzzlkfpq85rfqk5vdh3d28p"))))
     (build-system ruby-build-system)
     (arguments
      `(#:tests? #f))
@@ -7449,19 +7449,6 @@ programs running in the background, in Ruby.")
     (home-page "http://github.com/enkessler/childprocess")
     (license license:expat)))
 
-(define-public ruby-childprocess
-  (package
-    (inherit ruby-childprocess-0.6)
-    (name "ruby-childprocess")
-    (version "0.9.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (rubygems-uri "childprocess" version))
-       (sha256
-        (base32
-         "0a61922kmvcxyj5l70fycapr87gz1dzzlkfpq85rfqk5vdh3d28p"))))))
-
 (define-public ruby-public-suffix
   (package
     (name "ruby-public-suffix")
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:42 2020
Received: from localhost ([127.0.0.1]:60331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ac-0004fK-J5
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:42 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aZ-0004dy-L6
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:40 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id B590417A92
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:38 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id f0d0fad2
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 01/12] gnu: ruby-listen: Update to 3.2.0.
Date: Mon, 13 Jan 2020 22:53:25 +0000
Message-Id: <20200113225336.15160-1-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This avoids some test failures when updating Ruby to 2.6.

* gnu/packages/ruby.scm (ruby-listen): Update to 3.2.0.
---
 gnu/packages/ruby.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index ad675dc488..b8a5c8b5d3 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -4548,7 +4548,7 @@ a native C extension.")
 (define-public ruby-listen
   (package
     (name "ruby-listen")
-    (version "3.1.5")
+    (version "3.2.0")
     (source
      (origin
        ;; The gem does not include a Rakefile, so fetch from the Git
@@ -4560,7 +4560,7 @@ a native C extension.")
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "1hqmkfa9f2xb5jlvqbafdxjd5ax75jm8gqj5nh3k22xq0kacsvgg"))))
+         "1hkp1g6hk5clsmbd001gkc12ma6s459x820piajyasv61m87if24"))))
     (build-system ruby-build-system)
     (arguments
      `(#:test-target "spec"
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:42 2020
Received: from localhost ([127.0.0.1]:60329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ac-0004fD-7s
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:42 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aZ-0004dz-IP
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:40 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id C9B5317A93
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:38 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id f84629cd
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 02/12] gnu: ruby-aruba: Update to 0.14.14.
Date: Mon, 13 Jan 2020 22:53:26 +0000
Message-Id: <20200113225336.15160-2-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stop patching out the use of simplecov, it's used throughout the tests now, so
it's not as simple to avoid using it.

* gnu/packages/ruby.scm (ruby-aruba): Update to 0.14.14.
[arguments]: Stop patching out the use of simplecov.
[native-inputs]: Add ruby-simplecov.
---
 gnu/packages/ruby.scm | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index b8a5c8b5d3..de10a25c5b 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -5405,14 +5405,14 @@ It is intended be used by all Cucumber implementations to parse
 (define-public ruby-aruba
   (package
     (name "ruby-aruba")
-    (version "0.14.8")
+    (version "0.14.14")
     (source
      (origin
        (method url-fetch)
        (uri (rubygems-uri "aruba" version))
        (sha256
         (base32
-         "0zdd81l1lp0x78sxa6kkfqclpj5il3xl70nz05wqv2sfzzhqydxh"))))
+         "0l2mfpdxc03gdrbwc2hv4vdhjhqhfcdp6d02j05j64ncpi9srlqn"))))
     (build-system ruby-build-system)
     (arguments
      '(#:test-target "spec"
@@ -5444,11 +5444,7 @@ It is intended be used by all Cucumber implementations to parse
                ((".*cucumber.*") "\n")
                ((".*license_finder.*") "\n")
                ((".*rake.*") "gem 'rake'\n")
-               ((".*simplecov.*") "\n")
                ((".*relish.*") "\n"))
-             (substitute* "spec/spec_helper.rb"
-               ((".*simplecov.*") "")
-               (("^SimpleCov.*") ""))
              (substitute* "aruba.gemspec"
                (("spec\\.add\\_runtime\\_dependency 'cucumber'.*")
                 "spec.add_runtime_dependency 'cucumber'"))
@@ -5458,7 +5454,8 @@ It is intended be used by all Cucumber implementations to parse
     (native-inputs
      `(("bundler" ,bundler)
        ("ruby-rspec" ,ruby-rspec)
-       ("ruby-fuubar" ,ruby-fuubar)))
+       ("ruby-fuubar" ,ruby-fuubar)
+       ("ruby-simplecov" ,ruby-simplecov)))
     (propagated-inputs
      `(("ruby-childprocess" ,ruby-childprocess)
        ("ruby-contracts" ,ruby-contracts)
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at 39120 <at> debbugs.gnu.org:


Received: (at 39120) by debbugs.gnu.org; 13 Jan 2020 22:53:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:53:42 2020
Received: from localhost ([127.0.0.1]:60327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8ab-0004em-BY
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:42 -0500
Received: from mira.cbaines.net ([212.71.252.8]:35326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir8aZ-0004e3-IF
 for 39120 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:53:39 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id ECD0D17A95
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:38 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id 61e37830
 for <39120 <at> debbugs.gnu.org>; Mon, 13 Jan 2020 22:53:36 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: 39120 <at> debbugs.gnu.org
Subject: [PATCH 04/12] gnu: ruby-childprocess: Update to 3.0.0.
Date: Mon, 13 Jan 2020 22:53:28 +0000
Message-Id: <20200113225336.15160-4-mail@HIDDEN>
X-Mailer: git-send-email 2.24.1
In-Reply-To: <20200113225336.15160-1-mail@HIDDEN>
References: <20200113225336.15160-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 39120
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ruby.scm (ruby-childprocess): Update to 3.0.0.
[home-page]: Switch to https, as it's supported by github.com.
---
 gnu/packages/ruby.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index f1fa9310eb..d7c9383b45 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -7427,14 +7427,14 @@ in standard Ruby syntax.")
 (define-public ruby-childprocess
   (package
     (name "ruby-childprocess")
-    (version "0.9.0")
+    (version "3.0.0")
     (source
      (origin
        (method url-fetch)
        (uri (rubygems-uri "childprocess" version))
        (sha256
         (base32
-         "0a61922kmvcxyj5l70fycapr87gz1dzzlkfpq85rfqk5vdh3d28p"))))
+         "1ic028k8xgm2dds9mqnvwwx3ibaz32j8455zxr9f4bcnviyahya5"))))
     (build-system ruby-build-system)
     (arguments
      `(#:tests? #f))
@@ -7446,7 +7446,7 @@ in standard Ruby syntax.")
     (synopsis "Control external programs running in the background, in Ruby")
     (description "@code{childprocess} provides a gem to control external
 programs running in the background, in Ruby.")
-    (home-page "http://github.com/enkessler/childprocess")
+    (home-page "https://github.com/enkessler/childprocess")
     (license license:expat)))
 
 (define-public ruby-public-suffix
-- 
2.24.1





Information forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2020 20:30:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 15:30:58 2020
Received: from localhost ([127.0.0.1]:60165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir6MU-0000b9-Jq
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 15:30:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:33402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1ir6MS-0000ay-S3
 for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 15:30:57 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:50040)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mail@HIDDEN>) id 1ir6MR-0000Ad-QX
 for guix-patches@HIDDEN; Mon, 13 Jan 2020 15:30:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1ir6MQ-0007ws-LU
 for guix-patches@HIDDEN; Mon, 13 Jan 2020 15:30:55 -0500
Received: from mira.cbaines.net ([2a01:7e00::f03c:91ff:fe69:8da9]:49826)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1ir6MQ-0007vs-Fw
 for guix-patches@HIDDEN; Mon, 13 Jan 2020 15:30:54 -0500
Received: from localhost (unknown [46.237.162.0])
 by mira.cbaines.net (Postfix) with ESMTPSA id 6DDDF17A5F
 for <guix-patches@HIDDEN>; Mon, 13 Jan 2020 20:30:53 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 88a22e29
 for <guix-patches@HIDDEN>; Mon, 13 Jan 2020 20:30:51 +0000 (UTC)
User-agent: mu4e 1.2.0; emacs 26.3
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [00/12] Update Ruby to 2.6.
Date: Mon, 13 Jan 2020 20:30:48 +0000
Message-ID: <87h80zcd53.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a01:7e00::f03c:91ff:fe69:8da9
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  So, these patches are a bit late, 2.7 is already out, but
 it's a bit to early to update to 2.7, so let's just do 2.6, then add a package
 for 2.7. Christopher Baines (12): gnu: ruby-listen: Update to 3.2.0. gnu:
 ruby-aruba: Update to 0.14.14. gnu: ruby-childprocess-0.6: Remove version
 0.6.3. gnu: ruby-childprocess: Update to 3.0.0. gnu: ruby-yar [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [2a01:7e00:0:0:f03c:91ff:fe69:8da9 listed in] [zen.spamhaus.org]
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  So, these patches are a bit late, 2.7 is already out, but
   it's a bit to early to update to 2.7, so let's just do 2.6, then add a package
    for 2.7. Christopher Baines (12): gnu: ruby-listen: Update to 3.2.0. gnu:
    ruby-aruba: Update to 0.14.14. gnu: ruby-childprocess-0.6: Remove version
    0.6.3. gnu: ruby-childprocess: Update to 3.0.0. gnu: ruby-yar [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [2a01:7e00:0:0:f03c:91ff:fe69:8da9 listed in]
                             [zen.spamhaus.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

So, these patches are a bit late, 2.7 is already out, but it's a bit to
early to update to 2.7, so let's just do 2.6, then add a package for
2.7.


Christopher Baines (12):
  gnu: ruby-listen: Update to 3.2.0.
  gnu: ruby-aruba: Update to 0.14.14.
  gnu: ruby-childprocess-0.6: Remove version 0.6.3.
  gnu: ruby-childprocess: Update to 3.0.0.
  gnu: ruby-yard: Update to 0.9.20.
  gnu: ruby-hoe: Update to 3.21.0.
  gnu: ruby-power-assert: Update to 1.1.5.
  gnu: ruby-json-pure: Update to 2.2.0.
  gnu: ruby-tzinfo: Skip safe tests.
  gnu: ruby-2.4: Update to 2.4.9.
  gnu: ruby: Update to 2.6.5.
  gnu: Add ruby-2.5.

 gnu/packages/ruby.scm | 123 +++++++++++++++++++++++++++---------------
 1 file changed, 80 insertions(+), 43 deletions(-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl4c03lfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9XcK1Q/5AbDz/tuZ4tp9p+mnEmK7ddH8ajSE6GOh0n3NhJAa/lXg2YCl0fqeb77d
s+02hssHbMfcAqpZeynRQry0AwqWoiR126ITL6r/seX2f1EPs187OoK+Ll6qUoGz
GECXroKY5B6LLgeLebB/KsyB6RgzfyXTvOap3Nnx41Saqpf1YBgO/0nhW8xCuxnz
/LtXMKB9BmPYZ0QeLvE02AGHJ6Ayqq9pwWM4NDHgiCriPvtNbDVKsoL3O7M5irQn
h0aufls6ZxTPBwoHTRmLbV1opybtnytIcOxjJ/u55xgk0z58lqZd0yhkSyCWOrkG
zUspgKJfDOc7QfQDTrhHnNQggStGEg2PzythjTMSfrlSUU5++TubG6jWO2cCoQAF
jtrhjn0KQ1KLIyJ8Td6Hg0COv+gBoQGDWdVDmaYpt7xs2zwpT6dhg2qxD/BsfJ/2
b4ekKMgmHgt944lu3JMKGf5R+g4Iw2hdx2lyRJcNxmNoQV5QlnSpIbCqX8dBVI/q
/vVt0sYrNxRdqVUfe/FLFdia/6iJcoOVipo0oxbhMAfIYZTfOHDZA23T2oDosy84
VV7nUyD25kY56LK2n+yQL0Vj0m29gBJk8eGdrGAGgKCh2VOS12mIVXYOSwGBxTOU
+eTZpYeXaZaUBd40d3BEgxP7LvpT3JTqVK7BdQZnvD21Niu1Fw4=
=oiBd
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39120; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 15 Jan 2020 08:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.